Construct a filterIterator

- « FilterIterator::accept

- FilterIterator::current »

- PHP Manual
- FilterIterator
- Construct a filterIterator

# FilterIterator::__construct

(PHP 5 >= 5.1.0, PHP 7, PHP 8)

FilterIterator::__construct — Construct a filterIterator

### Description

public FilterIterator::__construct(Iterator `$iterator`)

Constructs a new FilterIterator, which consists of a passed in `iterator` with filters applied to it.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

`iterator`

  The iterator that is being filtered.

### See Also

- LimitIterator::__construct() - Construct a LimitIterator